{
    "$graph": [
        {
            "label": "PGAP Pipeline",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/annot_val"
                }
            ],
            "steps": [
                {
                    "run": "#val_stats.cwl",
                    "in": [
                        {
                            "source": "#main/annot_val",
                            "id": "#main/test/annot_val"
                        },
                        {
                            "default": true,
                            "id": "#main/test/c_toolkit"
                        }
                    ],
                    "out": [
                        "#main/test/output",
                        "#main/test/xml"
                    ],
                    "id": "#main/test"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/test/output",
                    "id": "#main/output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/test/xml",
                    "id": "#main/xml"
                }
            ]
        },
        {
            "label": "val_stats",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "val_stats",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#val_stats.cwl/annot_val"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-c-toolkit"
                    },
                    "id": "#val_stats.cwl/c_toolkit"
                },
                {
                    "type": "string",
                    "default": "annot.val.summary",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#val_stats.cwl/output_impl"
                },
                {
                    "type": "string",
                    "default": "annot.val.summary.xml",
                    "inputBinding": {
                        "prefix": "-xml-output"
                    },
                    "id": "#val_stats.cwl/xml_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#val_stats.cwl/output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.xml_impl)"
                    },
                    "id": "#val_stats.cwl/xml"
                }
            ],
            "id": "#val_stats.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
